%------------Universidade Federal do Recncavo da Bahia--------------
%-------------Universidade Federal de So Joo del-Rei---------------------
%---------------Grupo de Controle e Modelagem------------------------------
%Funo: MKPpb1() 
%Autores: Andr Luiz Carvalho Ottoni (UFRB) - andreottoni@ymail.com
%         Erivelton Geraldo Nepomuceno (UFSJ)
%         Marcos Santos de Oliveira (UFSJ)
%Data de criao: 28/08/2018 
%Descrio: Retorna informaes da instncia pb1 da ORLIB

function [n,m,v,c,p,otimo,nome]=MKPpb1()
    otimo = 3090;
    nome = 'pb1';
    m = 4; %nmero de mochilas
    n = 27; %nmero de itens
    
    %Valor de cada objeto (varivel da funo objetivo)
    v = [560 1125 68 47 122 196 41 25 115 82 22 631 132 420 86 42 103 81 26 49 316 72 71 49 108 116 90];
    
    %Capdacidade de cada mochila (restrio)
    c = [207 185 168 160];
    
    %Peso de cada objeto em cada mochila (valores para restries) 
    p= [40 91 3 3 18 25 1 1 8 1 1 49 8 21 6 1 5 8 1 0 42 6 4 8 0 10 1
        16 92 4 6 0 8 2 1 6 2 1 70 9 22 4 1 5 6 0 4 8 4 3 0 10 0 6
        38 39 5 8 12 15 0 1 20 3 0 40 6 8 0 6 4 4 1 5 8 2 8 0 20 0 0
        38 52 7 0 3 4 1 2 4 6 1 18 15 38 10 4 8 0 3 0 6 1 3 0 3 5 4];
   
 
end