%------------Universidade Federal do Recncavo da Bahia--------------
%-------------Universidade Federal de So Joo del-Rei---------------------
%---------------Grupo de Controle e Modelagem------------------------------
%Funo: MKPpb2() 
%Autores: Andr Luiz Carvalho Ottoni (UFRB) - andreottoni@ymail.com
%         Erivelton Geraldo Nepomuceno (UFSJ)
%         Marcos Santos de Oliveira (UFSJ)
%Data de criao: 28/08/2018 
%Descrio: Retorna informaes da instncia pb2 da ORLIB

function [n,m,v,c,p,otimo,nome]=MKPpb2()
   otimo = 3186;
   nome = 'pb2';
    m = 4; %nmero de mochilas
    n = 34; %nmero de itens
    
    %Valor de cada objeto (varivel da funo objetivo)
    v = [560 620 68 328 47 122 196 41 25 115 82 22 631 132 420 86 42 103 215 81 91 26 49 316 72 71 49 108 116 90 215 58 47 81];
    
    %Capdacidade de cada mochila (restrio)
    c = [163 165 239 168];
    
    %Peso de cada objeto em cada mochila (valores para restries) 
    p= [40 30 3 12 3 18 25 1 1 8 1 1 49 8 21 6 1 5 10 8 2 1 0 42 6 4 8 0 10 1 8 3 2 4
        16 16 4 18 6 0 8 2 1 6 2 1 70 9 22 4 1 5 10 6 4 0 4 8 4 3 0 10 0 6 22 0 2 2
        38 71 5 40 8 12 15 0 1 20 3 0 40 6 8 0 6 4 22 4 6 1 5 8 2 8 0 20 0 0 13 6 1 2
        38 42 7 20 0 3 4 1 2 4 6 1 18 15 38 10 4 8 6 0 0 3 0 6 1 3 0 3 5 4 18 3 4 0];
   
end