%------------Universidade Federal do Recncavo da Bahia--------------
%-------------Universidade Federal de So Joo del-Rei---------------------
%---------------Grupo de Controle e Modelagem------------------------------
%Funo: MKPweing2() 
%Autores: Andr Luiz Carvalho Ottoni (UFRB) - andreottoni@ymail.com
%         Erivelton Geraldo Nepomuceno (UFSJ)
%         Marcos Santos de Oliveira (UFSJ)
%Data de criao: 28/08/2018 
%Descrio: Retorna informaes da instncia weing2 da ORLIB

function [n,m,v,c,p,otimo,nome]=MKPweing2()
    otimo = 130883;
    nome = 'weing2';
    m = 2; %nmero de mochilas
    n = 28; %nmero de itens
    
    %Valor de cada objeto (varivel da funo objetivo)
    v = [1898 440 22507 270 14148 3100 4650 30800 615 4975 1160 4225 510 11880 479 440 490 330 110 560 24355 2885 11748 4550 750 3720 1950 10500];
    
    %Capdacidade de cada mochila (restrio)
    c = [500 500];
    
    %Peso de cada objeto em cada mochila (valores para restries) 
    p= [45 0 85 150 65 95 30 0 170 0 40 25 20 0 0 25 0 0 25 0 165 0 85 0 0 0 0 100
        30 20 125 5 80 25 35 73 12 15 15 40 5 10 10 12 10 9 0 20 60 40 50 36 49 40 19 150];
end