function [a] = NavSelecionaAcao(Q1, s, num_s, e)
% function [a] = NavSelecionaAcao(Q1, s) retorna a ao escolhida
%
% Entradas
%	Q1 	    - matriz Q de aprendizado
%	s	    - estado no instante t
%
% Sada
%	a    - ao selecionada para o instante t
%------------Universidade Federal do Recncavo da Bahia--------------
%-------------Universidade Federal de So Joo del-Rei---------------------
%---------------Grupo de Controle e Modelagem------------------------------
%Funo: NavSelecionaAcao()
%Autores: Andr Luiz Carvalho Ottoni (UFRB) - andreottoni@ymail.com
%         Erivelton Geraldo Nepomuceno (UFSJ)
%         Marcos Santos de Oliveira (UFSJ)
%Data de criao: 11/07/2016      
%Descrio: Seleciona a ao a ser executada

  %Verifica qual a ao est mais bem pontuada para o estado s
  maior1_a = Q1(s,1);
  a = 1;
  for i=1:num_s
    for j = 1:3
        if(i == s) %Se i igual ao estado s
           if(Q1(i,j)>maior1_a)
               maior1_a = Q1(i,j);
               a = j;   %ao selecionada
           end
        end
    end
  end
  
  %------------------Politica Gulosa 
  gulosa = rand(1); % nmero aleatrio
  %e = 0.2;   % parmetro que controla a aleatoriedada (20% guloso)
  
  %se o nmero aleatrio for menor que o parmetro e, ento ser 
  % gerada uma ao aleatria
  if(gulosa<e)
      a = floor(rand(1)*3)+1; %ao aleatria
  end
  
end