%Dissertao: Anlise de Sensibilidade dos Parmetros do Aprendizado por Reforo na Soluo do Problema do Caixeiro Viajante 
%Aluno: Andr Luiz Carvalho Ottoni
%Orientador: Prof. Erivelton Geraldo Nepomuceno
%Coorientador: Prof. Marcos Santos de Oliveira
%Agradecimentos ao Prof. Rubisson Lamperti (UTFPR) pelas importantes contribuies no cdigo inicial.
%Rotina Q-learning
%Data: 18/11/2016

%------------------------------------------------------------------------------------------------

%Observao: A linha de atualizao do algortimo que no est sendo utilizado deve ficar comentada

function [SS,AA,Q]=SARSA(S,A,R,Q,alpha,e,gamma,resto)
    SS=A;                      %SS  o novo estado (s')
    Dupla(:,1)=resto';
    Dupla(:,2)=Q(SS,resto);
    [l,c]=find(Dupla(:,2)==max(Dupla(:,2))); 
    AA=Dupla(l(1),1);
    
    %Atualizao do Q-learning
    %Q(S,A)=Q(S,A)+alpha*[R(S,A)+gamma*Q(SS,AA)-Q(S,A)];
    
    %Poltica Gulosa%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    
    tam_resto = length(resto); 
    gulosa = rand(1);
    if(gulosa<e)
         indice = floor(rand(1)*tam_resto)+1;
         AA = resto(indice);
    end
    
    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    
    %Atualizao do SARSA
    Q(S,A)=Q(S,A)+alpha*[R+gamma*Q(SS,AA)-Q(S,A)];
            
end
%---------------------------------------------------------------------------------------------
