
%Definies do Aprendizado por Reforo

alg = 2; %1: Q-learning; 2: SARSA
alpha = 0.01; % taxa de aprendizado
gamma = 0.01; % fator de desconto
e = [0 0.01 0.02 0.03 0.04]; %e-greedy
tip_e = 1; %0 - fixo, 1 - varivel
num_episodios = 5; %nmero de episdios
num_epocas = 1; %nmero de pocas
cont_epocas = 0; %contador do nmero total de pocas
inst =1;

docgeral = zeros(36,8); %armazena os resultados da media das 3 pocas de cada combinao


for i=1:5 % for do epsilon

    for j=1:num_epocas % for da poca (repetio)
    [menor,distancia,episodio,visita,N,posicao,otimo,nome] = TSPSimuladorPCV_e(alpha,gamma,e(i),alg,num_episodios,inst,tip_e);
    
    analise = distancia;

    media = mean(distancia);
    
    cont_epocas = cont_epocas+1;   % contador de pocas
           
           docgeral(cont_epocas,1) = inst;  % instncia
           docgeral(cont_epocas,2) = alg;   % algoritmo
           docgeral(cont_epocas,3) = j;   % nmero de pocas 
           if tip_e ==0 
           docgeral(cont_epocas,4) = e(i);   % epsilon
           else
            docgeral(cont_epocas,4) = tip_e;   % epsilon   
           end
           docgeral(cont_epocas,5) = alpha;   %taxa de aprendizado
           docgeral(cont_epocas,6) = gamma;   %fator de desconto
           docgeral(cont_epocas,7) = mean(distancia); %mdia da distncia em uma poca para o documento geral
           docgeral(cont_epocas,8) = min(distancia); %mnimo encontrado da distncia em uma poca para o documento geral
           
%            titulo_arquivo = sprintf('LogsReab/Dados_Inst_%f_Alg_%2f_e_%2f_alpha_%2f_gamma_%2f_%2f.xls',inst,alg,e(i),alpha,gamma,i);
%            xlswrite(titulo_arquivo, analise);

titulo_geral = sprintf('Logsteste/DocGeral_Alg_%2f_inst_%2f_cont_%2f.xls',alg,inst,cont_epocas);
xlswrite(titulo_geral, docgeral);  %Armazena o Documento Geral


    end

end

