function NavPlotFiguras(passos, episodio, resultado)
% function PlotFiguras(passos, episodio, resultado) gera
% grficos para anlise
%
% Entradas
%	passos 	    - passos para chegar no objetivo em cada episodio
%	episodio	- episodio mximo
%   resultado   - resultado de cada episdio
%   chegou_ite  - nmero de iteraes para chegar no objetivo
%
% Sada
%	Sem sadas
%------------Universidade Federal do Recncavo da Bahia--------------
%-------------Universidade Federal de So Joo del-Rei---------------------
%---------------Grupo de Controle e Modelagem------------------------------
%Funo: PlotFiguras()
 %Autores: Andr Luiz Carvalho Ottoni (UFRB) - andreottoni@ymail.com
 %         Erivelton Geraldo Nepomuceno (UFSJ)
 %         Marcos Santos de Oliveira (UFSJ)
%Data de criao: 11/07/2016      
%Descrio: Gera grficos para anlise

     linha = 1;
     k=1;

     for i=1:episodio
        res(linha, k) = resultado(i);
        if k == 50
            linha = linha+1;
            k = 0;
        end
        k = k+1;
     end
    
     for i=1:(linha-1)
        soma_linha(i) = sum(res(i,:));
    end
    
    figure(1); plot(passos, '-');
    %title('Quantidade de passos necessrios para chegar ao objetivo');
    ylabel('Nmero de passos');
    xlabel('Sucessos');

    figure(2); plot(soma_linha, '-o');
    title('Soma de sucessos (1) a cada 50 episodios');
    ylabel('Soma de sucessos');
    xlabel('Intervalo de episodios');

    resultado = resultado';

    acumulado(3) = 0;
    for i = 2:episodio
       acumulado(i) = acumulado(i-1)+resultado(i);
    end

    figure(3); plot(acumulado, '-o');
    ylabel('Sucessos Acumulados');
    xlabel('Episodios');

%     figure(5); plot(chegou_ite, '-o');
%     ylabel('Sucessos Acumulados');
%     xlabel('Iterao');
end