function [R] = NavReforcoReativo()
% function [R] = NavReforcoReativo() retorna a matriz de reforos
%
% Entradas
%	Sem entradas
%
% Sadas
%	R - Matriz de Reforos Reativos
%------------Universidade Federal do Recncavo da Bahia--------------
%-------------Universidade Federal de So Joo del-Rei---------------------
%---------------Grupo de Controle e Modelagem------------------------------
%Funo: NavReforcoReativo
%Autores: Andr Luiz Carvalho Ottoni (UFRB) - andreottoni@ymail.com
%         Erivelton Geraldo Nepomuceno (UFSJ)
%         Marcos Santos de Oliveira (UFSJ)
%Data de criao: 11/07/2016
%Descrio: Definies de parmetros do AR e matriz de reforos


%Matriz de Recompensas
% -1: Caminho Livre
% -100: Ao Indejada (Obstculo ou direo ruim prximo ao objetivo
% 1000: Ao pra chegar no objetivo em um passo
% Colunas: Aes (Ir pra Norte, Ir pra Oeste, Ir pra Leste)
% Linhas: Estados Possveis
R = [-1, -100,-100;
    -100, -1, -100;
    -100, -100, -1;
    -1, -1, -100;
    -1, -100, -1;
    -100, -1, -1;
    -1, -1, -1;
    1000, -100, -100;
    -100, 1000, -100;
    -100, -100, 1000];
end