%------------Universidade Federal do Recncavo da Bahia--------------
%-------------Universidade Federal de So Joo del-Rei---------------------
%---------------Grupo de Controle e Modelagem------------------------------
%Funo: TSPeil101() 
%Autores: Andr Luiz Carvalho Ottoni (UFRB) - andreottoni@ymail.com
%         Erivelton Geraldo Nepomuceno (UFSJ)
%         Marcos Santos de Oliveira (UFSJ)
%Data de criao: 13/06/2018
%Descrio: Retorna informaes da instncia eil101 do TSP

function [Dist,posicao,N,otimo,nome]=TSPeil101()
     
    N = 101;
    otimo = 629;
    nome = 'eil101';

    posicao = [41	49
        35	17
        55	45
        55	20
        15	30
        25	30
        20	50
        10	43
        55	60
        30	60
        20	65
        50	35
        30	25
        15	10
        30	5
        10	20
        5	30
        20	40
        15	60
        45	65
        45	20
        45	10
        55	5
        65	35
        65	20
        45	30
        35	40
        41	37
        64	42
        40	60
        31	52
        35	69
        53	52
        65	55
        63	65
        2	60
        20	20
        5	5
        60	12
        40	25
        42	7
        24	12
        23	3
        11	14
        6	38
        2	48
        8	56
        13	52
        6	68
        47	47
        49	58
        27	43
        37	31
        57	29
        63	23
        53	12
        32	12
        36	26
        21	24
        17	34
        12	24
        24	58
        27	69
        15	77
        62	77
        49	73
        67	5
        56	39
        37	47
        37	56
        57	68
        47	16
        44	17
        46	13
        49	11
        49	42
        53	43
        61	52
        57	48
        56	37
        55	54
        15	47
        14	37
        11	31
        16	22
        4	18
        28	18
        26	52
        26	35
        31	67
        15	19
        22	22
        18	24
        26	27
        25	24
        22	27
        25	21
        19	21
        20	26
        18	18
        35	35
        ];

    pos = posicao;
    for i=1:101
        for j=1:101
            if i == j
                Dist(i,j) = 0;
            else
                Dist(i,j) = sqrt(((pos(i,1)-pos(j,1))^2+(pos(i,2)-pos(j,2))^2));
            end
        end
    end

end